> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List line item values



## OpenAPI

````yaml /openapi.json get /line-item-values
openapi: 3.0.3
info:
  title: MKK Structured Data API
  version: 0.1.0
  description: >-
    Read-only JSON API for normalized MKK/VYK PDF extraction results, portfolio
    entries, and data-quality review queues.
servers:
  - url: https://mkk.celebi.me/api
security: []
tags:
  - name: System
  - name: Funds
  - name: Sections
  - name: Documents
  - name: Line Items
  - name: Portfolio
  - name: Stocks
  - name: Quality
  - name: Exports
paths:
  /line-item-values:
    get:
      tags:
        - Line Items
      summary: List line item values
      operationId: listLineItemValues
      parameters:
        - $ref: '#/components/parameters/FundIdQuery'
        - $ref: '#/components/parameters/FundCodeQuery'
        - $ref: '#/components/parameters/Period'
        - $ref: '#/components/parameters/SectionIdQuery'
        - $ref: '#/components/parameters/LineItemSlug'
        - $ref: '#/components/parameters/Q'
        - $ref: '#/components/parameters/Label'
        - $ref: '#/components/parameters/Limit'
      responses:
        '200':
          description: Line item values matching the filters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LineItemValuesResponse'
components:
  parameters:
    FundIdQuery:
      name: fund_id
      in: query
      required: false
      description: Filter by fund code.
      schema:
        type: string
    FundCodeQuery:
      name: fund_code
      in: query
      required: false
      description: Filter by fund code.
      schema:
        type: string
    Period:
      name: period
      in: query
      required: false
      description: Filter by report period.
      schema:
        type: string
    SectionIdQuery:
      name: section_id
      in: query
      required: false
      description: Filter by canonical section slug.
      schema:
        type: string
    LineItemSlug:
      name: line_item_slug
      in: query
      required: false
      description: Filter by canonical line item slug.
      schema:
        type: string
    Q:
      name: q
      in: query
      required: false
      description: Text search query.
      schema:
        type: string
    Label:
      name: label
      in: query
      required: false
      description: Raw or canonical label search.
      schema:
        type: string
    Limit:
      name: limit
      in: query
      required: false
      description: Maximum number of rows to return.
      schema:
        type: integer
        minimum: 1
        maximum: 500
  schemas:
    LineItemValuesResponse:
      type: object
      properties:
        line_item_values:
          type: array
          items:
            $ref: '#/components/schemas/LineItemValue'
      required:
        - line_item_values
    LineItemValue:
      type: object
      properties:
        id:
          type: integer
        document_id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        line_item_id:
          type: integer
        line_item_slug:
          type: string
          nullable: true
        line_item_name:
          type: string
          nullable: true
        sectionId:
          type: string
          nullable: true
        sectionName:
          type: string
          nullable: true
        canonical_section:
          type: string
          nullable: true
        kind:
          type: string
          nullable: true
        raw_section:
          type: string
          nullable: true
        raw_label:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        numeric_value:
          type: number
          nullable: true
        unit:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        mapping_method:
          type: string
          nullable: true
        mapping_confidence:
          type: number
          nullable: true

````